NX Open C++ Reference Guide
Classes | Public Member Functions | List of all members
NXOpen::CurveCollection Class Reference

Represents a collection of NXOpen::Curve . More...

Inheritance diagram for NXOpen::CurveCollection:
NXOpen::TaggedObjectCollection

Classes

class  iterator
 Iterator for accessing the contents of the collection. More...
 

Public Member Functions

iterator begin ()
 Returns an iterator addressing the first element. More...
 
NXOpen::ArcCreateArc (const NXOpen::Point3d &startPoint, const NXOpen::Point3d &pointOn, const NXOpen::Point3d &endPoint, bool alternateSolution, bool *startAndEndGotFlipped)
 Creates an NXOpen::Arc that passes through the three specified points. More...
 
NXOpen::ArcCreateArc (const NXOpen::Point3d &center, NXOpen::NXMatrix *matrix, double radius, double startAngle, double endAngle)
 Creates an NXOpen::Arc . More...
 
NXOpen::ArcCreateArc (const NXOpen::Point3d &center, const NXOpen::Vector3d &xDirection, const NXOpen::Vector3d &yDirection, double radius, double startAngle, double endAngle)
 Creates an NXOpen::Arc . More...
 
NXOpen::EllipseCreateEllipse (const NXOpen::Point3d &center, double majorRadius, double minorRadius, double startAngle, double endAngle, double rotationAngle, NXOpen::NXMatrix *matrix)
 Creates an NXOpen::Ellipse . More...
 
NXOpen::EllipseCreateEllipse (const NXOpen::Point3d &center, const NXOpen::Vector3d &xDirection, const NXOpen::Vector3d &yDirection, double majorRadius, double minorRadius, double startAngle, double endAngle)
 Creates an NXOpen::Ellipse . More...
 
NXOpen::ICurveCreateExtractedCurve (NXOpen::ICurve *curveToExtract, int type, int subtype, NXOpen::Xform *xform, double tolerance, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a NXOpen::Curve . More...
 
NXOpen::HyperbolaCreateHyperbola (const NXOpen::Point3d &center, double semiTransverseLength, double semiConjugateLength, double minimumDY, double maximumDY, double rotationAngle, NXOpen::NXMatrix *matrix)
 Creates a NXOpen::Hyperbola . More...
 
NXOpen::HyperbolaCreateHyperbola (const NXOpen::Point3d &center, const NXOpen::Vector3d &xDirection, const NXOpen::Vector3d &yDirection, double semiTransverseLength, double semiConjugateLength, double minimumDY, double maximumDY)
 Creates a NXOpen::Hyperbola . More...
 
NXOpen::InfiniteLineCreateInfiniteLine (const NXOpen::Point3d &startPoint, const NXOpen::Point3d &endPoint)
 Creates a NXOpen::InfiniteLine that passes through the two specified points. More...
 
NXOpen::LineCreateLine (const NXOpen::Point3d &startPoint, const NXOpen::Point3d &endPoint)
 Creates a NXOpen::Line . More...
 
NXOpen::LineCreateLine (NXOpen::Point *startPoint, NXOpen::Point *endPoint)
 Creates a NXOpen::Line joining given start NXOpen::Point and End NXOpen::Point . More...
 
NXOpen::InfiniteLineCreatePairedInfiniteLine (NXOpen::Line *line)
 Creates a paired NXOpen::InfiniteLine that is paired to the specified line. More...
 
NXOpen::ParabolaCreateParabola (const NXOpen::Point3d &center, double focalLength, double minimumDY, double maximumDY, double rotationAngle, NXOpen::NXMatrix *matrix)
 Creates a NXOpen::Parabola . More...
 
NXOpen::ParabolaCreateParabola (const NXOpen::Point3d &center, const NXOpen::Vector3d &xDirection, const NXOpen::Vector3d &yDirection, double focalLength, double minimumDY, double maximumDY)
 Creates a NXOpen::Parabola . More...
 
NXOpen::CurveCreateSmartCompositeCurve (NXOpen::Section *section, NXOpen::SmartObject::UpdateOption updateOption, double tolerance)
 Creates a NXOpen::Curve . More...
 
NXOpen::CurveCreateSmartCompositeCurve (NXOpen::Curve *curve, NXOpen::SmartObject::UpdateOption updateOption)
 Creates a NXOpen::Curve . More...
 
NXOpen::CurveCreateVirtualBlendCurve (NXOpen::SmartObject::UpdateOption updateOption, NXOpen::IParameterizedSurface *blendFace, double tolerance)
 Creates a NXOpen::Curve . More...
 
NXOpen::CurveCreateVirtualCenterlineCurve (NXOpen::SmartObject::UpdateOption updateOption, NXOpen::IParameterizedSurface *blendFace, double tolerance)
 Creates a NXOpen::Curve . More...
 
iterator end ()
 Returns an iterator addressing one past the last element. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen::Curve .

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen::Curve is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed. Condemned objects will be deleted when their references go away.
To obtain an instance of this class, refer to NXOpen::BasePart

Created in NX3.0.0.

Member Function Documentation

iterator NXOpen::CurveCollection::begin ( )

Returns an iterator addressing the first element.

NXOpen::Arc* NXOpen::CurveCollection::CreateArc ( const NXOpen::Point3d startPoint,
const NXOpen::Point3d pointOn,
const NXOpen::Point3d endPoint,
bool  alternateSolution,
bool *  startAndEndGotFlipped 
)

Creates an NXOpen::Arc that passes through the three specified points.

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
startPointStart point
pointOnPoint that the arc passes through.
endPointEnd point
alternateSolutionIf true, the arc will be created using the alternate solution instead of the regular solution. The alternate solution for an arc is the portion of the full circle that is left out of the regular solution. For example, if the regular solution is an arc that goes from 0 to 45 degrees, the alternate solution will be an arc with the same center and origin but that goes from 45 degrees to 360.
startAndEndGotFlippedIf true, the start point of the arc that is created is at the end point parameter to this method and the end point of the arc is at the start point parameter. In other words, suppose you execute arc = Curves.CreateArc(startPointParam, pointOnParam, endPointParam, false, flipped). If flipped is true, then arc.StartPoint equals endPointParam and arc.EndPoint equals startPointParam.
NXOpen::Arc* NXOpen::CurveCollection::CreateArc ( const NXOpen::Point3d center,
NXOpen::NXMatrix matrix,
double  radius,
double  startAngle,
double  endAngle 
)

Creates an NXOpen::Arc .

The arc will be created in a plane which passes through center and whose normal is the Z axis of the orientation matrix. (matrix.Element.xx, matrix.Element.xy, matrix.Element.xz) is the X axis of the orientation matrix. (matrix.Element.yx, matrix.Element.yy, matrix.Element.yz) is the Y axis of the orientation matrix. The start and end angles are measured relative to the X and Y axis of this orientation matrix.

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
centerCenter of the arc
matrixOrientation matrix for the arc.
radiusRadius of the arc. Must be greater than zero.
startAngleStart angle in radians
endAngleEnd angle in radians
NXOpen::Arc* NXOpen::CurveCollection::CreateArc ( const NXOpen::Point3d center,
const NXOpen::Vector3d xDirection,
const NXOpen::Vector3d yDirection,
double  radius,
double  startAngle,
double  endAngle 
)

Creates an NXOpen::Arc .

The arc will be created through the origin and whose normal is Z axis. The start and end angles are measured relative to the X and Y axes.

Returns

Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
centerCenter of the arc
xDirectionX direction of the arc
yDirectionY direction of the arc
radiusRadius of the arc. Must be greater than zero.
startAngleStart angle in radians
endAngleEnd angle in radians
NXOpen::Ellipse* NXOpen::CurveCollection::CreateEllipse ( const NXOpen::Point3d center,
double  majorRadius,
double  minorRadius,
double  startAngle,
double  endAngle,
double  rotationAngle,
NXOpen::NXMatrix matrix 
)

Creates an NXOpen::Ellipse .

The ellipse will be created in a plane which passes through center and whose normal is the Z axis of the orientation matrix. (matrix.Element.xx, matrix.Element.xy, matrix.Element.xz) is the X axis of the orientation matrix. (matrix.Element.yx, matrix.Element.yy, matrix.Element.yz) is the Y axis of the orientation matrix. The start, end, and rotation angles are measured relative to the X and Y axis of this orientation matrix.

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
centerCenter of ellipse
majorRadiusMajor radius
minorRadiusMinor radius
startAngleStart angle in radians
endAngleEnd angle in radians
rotationAngleRotation angle in radians
matrixOrientation matrix for the ellipse
NXOpen::Ellipse* NXOpen::CurveCollection::CreateEllipse ( const NXOpen::Point3d center,
const NXOpen::Vector3d xDirection,
const NXOpen::Vector3d yDirection,
double  majorRadius,
double  minorRadius,
double  startAngle,
double  endAngle 
)

Creates an NXOpen::Ellipse .

The ellipse will be created through the origin and whose normal is Z axis. The start and end angles are measured relative to the X and Y axes.

Returns

Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
centerCenter of the ellipse
xDirectionX direction of the ellipse
yDirectionY direction of the ellipse
majorRadiusMajor radius of the ellipse. Must be greater than zero.
minorRadiusMinor radius of the ellipse. Must be greater than zero.
startAngleStart angle in radians
endAngleEnd angle in radians
NXOpen::ICurve* NXOpen::CurveCollection::CreateExtractedCurve ( NXOpen::ICurve curveToExtract,
int  type,
int  subtype,
NXOpen::Xform xform,
double  tolerance,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a NXOpen::Curve .

The extracted curve will be created for the input curve to extract.

Returns

Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR geometric_tol ("GDT")
Parameters
curveToExtractCurve or edge to be extracted
typeType
subtypeSub-Type
xformoptional Xform
tolerancetolerance for computing the extract curve
updateOptionupdate option
NXOpen::Hyperbola* NXOpen::CurveCollection::CreateHyperbola ( const NXOpen::Point3d center,
double  semiTransverseLength,
double  semiConjugateLength,
double  minimumDY,
double  maximumDY,
double  rotationAngle,
NXOpen::NXMatrix matrix 
)

Creates a NXOpen::Hyperbola .

The hyperbola will be created in a plane which passes through center and whose normal is the Z axis of the orientation matrix. (matrix.Element.xx, matrix.Element.xy, matrix.Element.xz) is the X axis of the orientation matrix. (matrix.Element.yx, matrix.Element.yy, matrix.Element.yz) is the Y axis of the orientation matrix. The rotation angle is measured relative to the X and Y axis of this orientation matrix.

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
centerCenter of hyperbola
semiTransverseLengthSemi-transverse length
semiConjugateLengthSemi-conjugate length
minimumDYMinimum DY width
maximumDYMaximum DY width
rotationAngleRotation angle in radians
matrixOrientation matrix for the hyperbola
NXOpen::Hyperbola* NXOpen::CurveCollection::CreateHyperbola ( const NXOpen::Point3d center,
const NXOpen::Vector3d xDirection,
const NXOpen::Vector3d yDirection,
double  semiTransverseLength,
double  semiConjugateLength,
double  minimumDY,
double  maximumDY 
)

Creates a NXOpen::Hyperbola .

The hyperbola will be created through the origin and whose normal is Z axis.

Returns

Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
centerCenter of the hyperbola
xDirectionX direction of the hyperbola
yDirectionY direction of the hyperbola
semiTransverseLengthSemi-transverse length
semiConjugateLengthSemi-conjugate length
minimumDYMinimum DY width
maximumDYMaximum DY width
NXOpen::InfiniteLine* NXOpen::CurveCollection::CreateInfiniteLine ( const NXOpen::Point3d startPoint,
const NXOpen::Point3d endPoint 
)

Creates a NXOpen::InfiniteLine that passes through the two specified points.

Returns

Created in NX7.5.0.

License requirements : nx_layout ("NX Layout")
Parameters
startPointStart point
endPointEnd point
NXOpen::Line* NXOpen::CurveCollection::CreateLine ( const NXOpen::Point3d startPoint,
const NXOpen::Point3d endPoint 
)

Creates a NXOpen::Line .

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT")
Parameters
startPointStart point
endPointEnd point
NXOpen::Line* NXOpen::CurveCollection::CreateLine ( NXOpen::Point startPoint,
NXOpen::Point endPoint 
)

Creates a NXOpen::Line joining given start NXOpen::Point and End NXOpen::Point .

Returns

Created in NX5.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR cam_base ("CAM BASE") OR geometric_tol ("GDT")
Parameters
startPointStart NXOpen::Point
endPointEnd NXOpen::Point
NXOpen::InfiniteLine* NXOpen::CurveCollection::CreatePairedInfiniteLine ( NXOpen::Line line)

Creates a paired NXOpen::InfiniteLine that is paired to the specified line.

Returns

Created in NX7.5.0.

License requirements : nx_layout ("NX Layout")
Parameters
linePaired NXOpen::Line
NXOpen::Parabola* NXOpen::CurveCollection::CreateParabola ( const NXOpen::Point3d center,
double  focalLength,
double  minimumDY,
double  maximumDY,
double  rotationAngle,
NXOpen::NXMatrix matrix 
)

Creates a NXOpen::Parabola .

The parabola will be created in a plane which passes through center and whose normal is the Z axis of the orientation matrix. (matrix.Element.xx, matrix.Element.xy, matrix.Element.xz) is the X axis of the orientation matrix. (matrix.Element.yx, matrix.Element.yy, matrix.Element.yz) is the Y axis of the orientation matrix. The rotation angle is measured relative to the X and Y axis of this orientation matrix.

Returns

Created in NX3.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
centerCenter of parabola
focalLengthFocal length
minimumDYMinimum DY width
maximumDYMaximum DY width
rotationAngleRotation angle in radians
matrixOrientation matrix for the parabola
NXOpen::Parabola* NXOpen::CurveCollection::CreateParabola ( const NXOpen::Point3d center,
const NXOpen::Vector3d xDirection,
const NXOpen::Vector3d yDirection,
double  focalLength,
double  minimumDY,
double  maximumDY 
)

Creates a NXOpen::Parabola .

The parabola will be created through the origin and whose normal is Z axis.

Returns

Created in NX4.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
centerCenter of the parabola
xDirectionX direction of the parabola
yDirectionY direction of the parabola
focalLengthFocal length
minimumDYMinimum DY width
maximumDYMaximum DY width
NXOpen::Curve* NXOpen::CurveCollection::CreateSmartCompositeCurve ( NXOpen::Section section,
NXOpen::SmartObject::UpdateOption  updateOption,
double  tolerance 
)

Creates a NXOpen::Curve .

The smart composite curve will be created for the input section.

Returns

Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
sectionSection from which smart composite curve will be created
updateOptionupdate option
toleranceTolerance used to join the section output curves
NXOpen::Curve* NXOpen::CurveCollection::CreateSmartCompositeCurve ( NXOpen::Curve curve,
NXOpen::SmartObject::UpdateOption  updateOption 
)

Creates a NXOpen::Curve .

The smart composite curve will be created for the input curve.

Returns

Created in NX8.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING") OR geometric_tol ("GDT")
Parameters
curveCurve from which smart composite curve will be created
updateOptionupdate option
NXOpen::Curve* NXOpen::CurveCollection::CreateVirtualBlendCurve ( NXOpen::SmartObject::UpdateOption  updateOption,
NXOpen::IParameterizedSurface blendFace,
double  tolerance 
)

Creates a NXOpen::Curve .

The virtual blend curve will be created for the input blend face. The virtual blend curve behaves similarly to the original edge that the blend face was applied on.

Returns

Created in NX7.0.0.

License requirements : solid_modeling ("SOLIDS MODELING")
Parameters
updateOptionupdate option
blendFaceblend face
tolerancetolerance for computing the facsimile curve
NXOpen::Curve* NXOpen::CurveCollection::CreateVirtualCenterlineCurve ( NXOpen::SmartObject::UpdateOption  updateOption,
NXOpen::IParameterizedSurface blendFace,
double  tolerance 
)

Creates a NXOpen::Curve .

The virtual centerline curve will be created for the input blend face.

Returns

Created in NX7.5.0.

License requirements : solid_modeling ("SOLIDS MODELING")
Parameters
updateOptionupdate option
blendFaceblend face
tolerancetolerance for computing the facsimile curve
iterator NXOpen::CurveCollection::end ( )

Returns an iterator addressing one past the last element.

tag_t NXOpen::CurveCollection::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.